slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetUp

Sets up all the internal data structures necessary for the execution of the PEP solver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetUp(PEP pep)

Collective

### Input Parameter

| pep | - solver context

### Notes

This function need not be called explicitly in most cases, since PEPSolve() calls it. It can be useful when one wants to measure the set-up time separately from the solve time.

### See Also

PEPCreate(), PEPSolve(), PEPDestroy()

### Level

developer

### Location

src/pep/interface/pepsetup.c

### Examples

src/pep/tutorials/ex38.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages